Ubuntu

GVim desktop file shouldn't have an absolute path to the icon

Reported by Alessio Bolognino on 2011-03-23
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
vim (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: vim

In /usr/share/applications/gvim.desktop (provided by vim-gui-common) there is Icon=/usr/share/pixmaps/vim.svg it should be Icon=vim.svg to allow themes to change the icon.
I can confirm this on both Maverick and Natty.

Launchpad Janitor (janitor) wrote :
Download full text (3.5 KiB)

This bug was fixed in the package vim - 2:7.3.154+hg~74503f6ee649-2ubuntu1

---------------
vim (2:7.3.154+hg~74503f6ee649-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable (lp: #774233)
  * Remaining changes:
    - debian/rules:
      + Work around ICE on ppc64 by exporting DEB_GCC_NO_O3=1.
    - debian/runtime/debian.vim.in:
      + Add Launchpad integration to the Help menu if launchpad-integration is
        installed.
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/ubuntu-version.patch:
      + Update supported Ubuntu codenames: drop jaunty and karmic, add oneiric.
  * debian/gvim.desktop:
    Drop path and extension from the Icon filename to allow themes to change
    the icon (lp: #740842).

vim (2:7.3.154+hg~74503f6ee649-2) unstable; urgency=low

  * Remove upstream/Makefile-parallel.patch as many parallel invocations of
    upstream's Makefile may result in multiple instances of cp trying to
    exclusively open src/auto/config.mk.
  * debian/rules: Add a src/auto/config.mk target which all configure-*
    targets have as a pre-requisite.

vim (2:7.3.154+hg~74503f6ee649-1) unstable; urgency=low

  * Pull patches 036 - 154. (Closes: #608390)
    + 7.3.042: Clear the spell checking info only when clearing the options
      for a buffer. (Closes: #600688)
    + 7.3.088: Fix a sporadic crash when using Ruby bindings. (Closes:
      #614336)
    + 7.3.091: Don't write special K_IGNORE codes when recording a Vim
      session. (Closes: #608242)
  * debian/watch: Adjust dversionmangle to handle the hg naming.
  * Add upstream/es.po-recover.patch, which corrects the translation of the
    swap file recovery prompt. Thanks to Vicente Couce Díaz for the patch.
    (Closes: #606947)
  * debian/rules:
    + Remove -Wl,--as-needed since upstream now uses that when available.
    + Disable dynamic loading of language bindings until a more robust method
      of handling their dependencies is determined. (Closes: #611573)
  * Remove vim-lesstif package in favor of the new vim-athena package.
  * Add upstream/pythoncomplete-autoload-init.patch, which ensures PyParser's
    parserline variable is initialized. Thanks to John Eikenberry for the
    patch. (Closes: #608420)
  * Bump debhelper compatibility to 7.
    + Use dh_prep instead of dh_clean -k.
    + Bump debhelper Build-Depends to >= 7.
  * debian.vim: Remove BufRead autocmd which was incorrectly setting
    filetype=mail for reportbug.conf. Reportbug's temp files are always
    reportbug-*. (Closes: #621798)
  * Add upstream/debcontrol-syntax-multiarch.patch, which adds syntax
    highlighting of Multi-Arch fields in debian/control. Thanks to Thomas
    Preud'homme for the patch. (Closes: #621098)
  * debian/control:
    + Remove python3-dev Build-Depends since python3interp can only be enabled
      if dynamically loading the language binding libraries.
    + Change ruby Build-Depends to ruby1.8 since the unversioned packages are
      going away.
  * Add upstream/Makefile-parallel.patch, which adds the "sha...

Read more...

Changed in vim (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers